if (!Object.getOwnPropertyDescriptor(Array.prototype, "toArray")) {
  Object.defineProperties(Array.prototype, {
    get: {
      value: function(idx) {
        return this[idx];
      },
      writable: false,
      enumerable: false,
      configurable: false
    },
    set: {
      value: function(idx, value) {
        this[idx] = value;
      },
      writable: false,
      enumerable: false,
      configurable: false
    },
    add: {
      value: function(value) {
        this.push(value);
      },
      writable: false,
      enumerable: false,
      configurable: false
    },
    toArray: {
      value: function() {
        return this;
      },
      writable: false,
      enumerable: false,
      configurable: false
    }
  });
}
function makeArrayIndexableVector(v) {
  return new Proxy(v, {
    get(target, property, receiver) {
      if (typeof property !== "symbol") {
        const idx = +property;
        if (String(idx) === property) {
          return target.get(idx);
        }
      }
      return Reflect.get(target, property, receiver);
    },
    set(target, property, value, receiver) {
      if (typeof property !== "symbol") {
        const idx = +property;
        if (String(idx) === property) {
          target.set(idx, value);
          return true;
        }
      }
      return Reflect.set(target, property, value, receiver);
    }
  });
}

export { makeArrayIndexableVector };
//# sourceMappingURL=vector.js.map
