import React__default, { useState, useEffect } from 'react';

function DelayRender({ children, delay }) {
  const [shouldRender, setRender] = useState(false);
  useEffect(() => {
    const intervalId = setInterval(() => {
      setRender(true);
    }, delay);
    return () => {
      clearInterval(intervalId);
    };
  }, [children, delay]);
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, shouldRender ? children : null);
}

export { DelayRender };
//# sourceMappingURL=DelayRender.js.map
